<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\Aktuelles\LoescheNews;

class LoescheNewsController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new LoescheNewsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new LoescheNewsRequest();
    $requestObj->news_id = \GetOperations::getVarValue('news');

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action, $requestObj->news_id);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    
    return null;
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Allgemein\Aktuelles\NewsUebersicht\NewsUebersichtController();
  }
}